 <!DOCTYPE html>
 <html lang="en">
 <head>
  <title>Patient Form</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.2/css/bootstrap.min.css">
  <link rel="stylesheet" href="styles.css">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/3.1.3/css/bootstrap-datetimepicker.min.css">
  <link rel="stylesheet" href="//maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.2/js/bootstrap.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.9.0/moment-with-locales.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/3.1.3/js/bootstrap-datetimepicker.min.js"></script>

   <script type="text/javascript">
 $(document).ready(function(){
$('#UnsuperviseCheck').on('change', function () {
        if ($(this).is(':checked')) {
                 $("#fileupload").show();

                 $("#before_image").attr('required',true);
                 $("#after_image").attr('required',true);
            }
         else {
           
                $("#fileupload").hide();
                $("#before_image").attr('required',false);
                 $("#after_image").attr('required',false);
        }

});
      });

    </script>

<style type="text/css">
  button[disabled], html input[disabled] {
    opacity: 0.5;
  }

</style>

</head>
<body class="body">
  <header class="header">
   <div class="container">
    <div class="row">
     <div class="col-xs-12">
      <a href="https://agilishealth.co.uk/">
       <img src="images/logo.svg" alt="Agilis" />
     </a>
   </div>
 </div>
</div>
</header>
<style type="text/css">
  .div_top {
    text-align: center;
  }
</style>
<div class="container div_top">
  <div class="alert alert-danger" id="alert" role="alert" style="display: none;">
   <p style="color:red;" id="errorid"></p>
 </div>
</div>
<div id="important_information" class="important_information">
  <div class="container">
    <div class="row">
      <div class="col-xs-12 col-sm-10 col-md-9 col--center">
        <div class="form-panel">
          <div class="row">
            <div class="col-xs-12">
              <h2>Important information</h2>
            </div>
            <div class="col-md-12">
              <label for="f2f">Fit to Fly:</label><p>
              It is important that you are aware of the entry requirements for your destination country so that you know when to take your test and when your result is required. In order to give us as much time as possible to process your sample in time for your travel date please check on each countries individual requirement here: <a href="https://www.gov.uk/foreign-travel-advice" target="_blank">https://www.gov.uk/foreign-travel-advice</a>
              </p>
              <label for="all_other_tests">All other test types:</label><p>
              What you must do when you arrive in the UK from abroad depends on where
              you have been in the 10 days before you arrive. Please follow this link for your specific
              requirements: <a href="https://www.gov.uk/guidance/red-amber-and-green-list-rules-for-entering-england#stay-up-to-date" target="_blank">https://www.gov.uk/guidance/red-amber-and-green-list-rules-for-entering-england</a>
              </p>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<form id="myForm" method="POST" enctype="multipart/form-data">

 <input type="hidden" id="id_patient" name="id" value="">
 <!-- <input type="hidden" id="accountId" name="accountId" value=""> -->
 <div class="container">
  <div class="row">
   <div class="col-xs-12 col-sm-10 col-md-9 col--center">
    <div class="form-panel">
     <div class="row">
      <div class="col-xs-12">
       <h2>Register your Sample</h2>
     </div>
     <div class="col-md-6">
       <div class="form-group">
        <label for="agl_number">Sample ID :</label>
        <input type="text" id="Agl_no" placeholder="625-AGLNNNNN" name="aglno"  required="required" >
      </div>
    </div>
    <div class="col-md-6">
     <div class="form-group">
      <label for="validation_code">Validation Code :</label>
      <input type="text" id="validation_code" placeholder="Enter Validation Code" name="vcode"  required="required" >
    </div>
  </div>
  <div class="col-md-6" id="next_button">
   <button type="button" onclick="myfunction()">Next</button>
 </div>
</div>
</div>
</div>
</div>
</div>
<div id="form_total" class="form-next-step">
  <div class="container">
   <div class="row">
    <div class="col-xs-12 col-sm-10 col-md-9 col--center">
     <div class="form-panel">
      <div class="row">
       <div class="col-xs-12">
        <h2>Test Type</h2>
      </div>
      <div class="col-md-6">
        <div class="form-group">
         <label for="test_type">Test Type:<span class="required" style="color: red;">*</span></label>
         <select id="select" name="test_type" data-placement="right" title="Please select your test type" required="required">
          <option value="">None</option>
          <option value="Fit to Fly">Fit to Fly</option>
          <option value="Test to Release">Test to Release</option>
          <option value="Day 2">Day 2</option>
          <option value="Day 8">Day 8</option>
        </select>
      </div>
    </div>
        <div class="col-md-6">
      <div class="form-group">
       <label for="sample_date">When did you take your test?<span class="required" style="color: red;">*</span><span data-toggle='tooltip' class="has-tip" title="please select the date and time your test was taken"></span></label>
       <div class='input-group date' id='datetimepicker1'>
        <input type='text' name="sample_collection_time" placeholder="dd/mm/yyyy --:-- --" required="required">
        <span class="input-group-addon"><span class="glyphicon glyphicon-calendar"></span>
      </span>
    </div>
  </div>
</div>
          <div class="col-md-6" style="display:none">
            <div class="form-group">
   <label for="self_isolation_field_4" style="margin-top: 20px;"> </label>


    <span class="required" style="color: red;"></span>

   <div><input type="checkbox" id="UnsuperviseCheck"  name="forimageupload"> &nbsp;&nbsp; Unsupervised Self-Test </div>

  

 </div>
    </div>
  </div>
  <div class="row">

  <div class="col-md-6">
   <div class="form-group">
 <div class="form-group">
   <label for="tracking_number">Tracking Number<span class="required" style="color: red;">*</span><span data-toggle='tooltip' class="has-tip" title="Please add your returns tracking number that is located on the back of the box"></span></label>
   <input type="text" id="Tracking_Number" placeholder="Tracking number" name="Tracking_Number" required="required">
 </div>
</div>
</div>
</div>
<div class="row">

</div>
<div class="row">
 <div class="col-xs-12">
  <h2>Patient Details</h2>
</div>
<div class="col-md-6">
  <div class="form-group">
   <label for="First_name">First Name<span class="required" style="color: red;">*</span></label>
   <input type="text" id="First_name" placeholder="First Name" name="First_name" required="required">
 </div>
</div>
<div class="col-md-6">
  <div class="form-group">
   <label for="Last_name">Last Name<span class="required" style="color: red;">*</span></label>
   <input type="text" id="Last_name" placeholder="Last Name" name="Last_name" required="required">
 </div>
</div>
</div>
<div class="row">
 <div class="col-md-6">
  <div class="form-group">
   <label for="dob">Date Of Birth<span class="required" style="color: red;">*</span></label>
   <div class='input-group dob' id='datetimepicker1'>
    <input type='text' name="dob" placeholder="dd/mm/yyyy" required="required">
    <span class="input-group-addon">
     <span class="glyphicon glyphicon-calendar"></span>
   </span>
 </div>
</div>
</div>
<div class="col-md-6">
  <div class="form-group">
   <label for="email">Email<span class="required" style="color: red;">*</span></label>
   <input type="text" id="email" class="keyup-email"  placeholder="Email" name="email" required="required">
 </div>
</div>
</div>
<div class="row">
 <div class="col-md-6">
  <div class="form-group">
   <label for="Phone">Phone Number<span class="required" style="color: red;">*</span></label>
   <input type="text" id="Phone"class="keyup-phone" placeholder="Phone Number" name="Phone" required="required">
 </div>
</div>
<div class="col-md-6">
  <div class="form-group">
   <label for="Passport">Passport Number<span class="required" style="color: red;">*</span></label>
   <input type="text" id="Passport" placeholder="Passport Number" name="Passport" required="required" data-toggle="tooltip" data-placement="right" title="Please Enter Your Passport Number">
 </div>
</div>
</div>
<div class="row">
 <div class="col-md-6">
  <div class="form-group">
   <label for="NHS_No">NHS Number</label>
   <input type="text" id="NHS_No" placeholder="NHS Number" name="NHS_No" data-toggle="tooltip" data-placement="right" title="Please Enter Your NHS Number.">
 </div>
</div>
<div class="col-md-6">
  <div class="form-group">
   <label for="Gender">Gender<span class="required" style="color: red;">*</span></label>
   <select name="Gender" required="required">
    <option value="">None</option>
    <option value="Male">Male</option>
    <option value="Female">Female</option>
    <option value="Other">Other</option>
    <option value="Prefer not to say">Prefer not to say</option>

  </select>
</div>
</div>
</div>
<div class="row">
 <div class="col-md-6">
  <div class="form-group">
   <label for="vaccination_status">Vaccination Status<span class="required" style="color: red;">*</span></label>
   <select name="vaccination_status" required="required">
    <option value="">None</option>
    <option value="Vaccinated">Vaccinated</option>
    <option value="Not Vaccinated">Not Vaccinated</option>
  </select>
</div>
</div>
<div class="col-md-6">
  <div class="form-group">
   <label for="Ethinticity">Ethnicity</label>
   <select name="Ethnicity">
    <option value="">None</option>
    <option value="White">White</option>
    <option value="Black">Black</option>
    <option value="Asian">Asian</option>
    <option value="Mixed">Mixed</option>
    <option value="Not Stated">Not Stated</option>
  </select>
</div>
</div>
</div>
<div class="row">
 <div class="col-md-12">
  <div class="form-group">
   <label for="self_isolation_field_1">Isolation Address-1<span class="required" style="color: red;">*</span></label>
   <input type="text" id="address_1" placeholder="Street" name="address_1" required="required">
 </div>
</div>
</div>
<div class="row">
 <div class="col-md-12">
  <div class="form-group">
   <label for="self_isolation_field_2">Isolation Address-2<span class="required" style="color: red;">*</span></label>
   <input type="text" id="address_2" placeholder="Town/City" name="address_2" required="required">
 </div>
</div>
</div>
<div class="row">
 <div class="col-md-12">
  <div class="form-group">
   <label for="self_isolation_field_3">Isolation Address-3<span class="required" style="color: red;">*</span></label>
   <input type="text" id="address_3" placeholder="County" name="address_3" required="required">
 </div>
</div>
</div>
<div class="row">
 <div class="col-md-12">
  <div class="form-group">
   <label for="self_isolation_field_4">Isolation Address-4<span class="required" style="color: red;">*</span></label>
   <input type="text" id="address_4" placeholder="Post Code" name="address_4" required="required">
 </div>
</div>
</div>

<div class="row" id="fileupload" style="display:none;">
<div class="col-xs-12" >
  <h2>Upload Image</h2>

  <hr>
  
</div>



 <div class="col-md-12">
  <div class="form-group">
  
<div class="col-sm-6">

   <label for="self_isolation_field_4"> BEFORE IMAGE <span class="required" style="color: red;"></span></label>

   <input type="file" id="before_image"  name="before_image" class="form-control">
   <span class="img-error before-image-error" style="color: red; display: none; margin-top: 5px;">Max File size must be excately 20 MB</span>
   
</div>

 <div class="col-sm-6">

   <label for="self_isolation_field_4"> AFTER IMAGE <span class="required" style="color: red;"></span></label>

   <input type="file" id="after_image"  name="after_image" class="form-control">
   <span class="img-error after-image-error" style="color: red; display: none; margin-top: 5px;">Max File size must be excately 20 MB</span>

 </div>

 </div>
</div>
</div>


</div>
<div class="form-panel" id="second_div">
  <div class="row">
   <div class="col-xs-12">
    <h2>Sample Details</h2>
  </div>
  <div class="row">
  <div class="col-md-6">
   <div class="form-group">
    <label for="date_arriving_uk">Date and Time of Arriving to UK<span class="required" style="color: red;">*</span><span data-toggle='tooltip' class="has-tip" title="Please Enter Your Date and Time of Arriving to UK"></span></label>
    <div class='input-group date' id='datetimepicker1'>
     <input type='text' name="date_arriving_uk" placeholder="dd/mm/yyyy --:-- --" required="required">
     <span class="input-group-addon"><span class="glyphicon glyphicon-calendar"></span>
   </span>
 </div>
</div>
</div>
</div>
<div class="row">
 <div class="col-md-6">
  <div class="form-group" id="tenth_div">
   <label for="flight_no">Flight/Vessel/Coach/Train number<span class="required" style="color: red;">*</span></label>
   <input type="text" id="Flight_Vessel_Coach_Train_Number" placeholder="Flight/vehicle/coach/train number" name="Flight_Vessel_Coach_Train_Number" required="required">
 </div>
</div>
<div class="col-md-6">
  <div class="form-group" id="forth_div">
   <label for="travelling_from">Travelling From<span class="required" style="color: red;">*</span></label>
   <select name="travelling_from">
    <option values="">Select Country</option>
    <option values="Afghanistan">Afghanistan</option>
    <option values="Albania">Albania</option>
    <option values="American Samoa">American Samoa</option>
    <option values="Andorra">Andorra</option>
    <option values="Angola">Angola</option>
    <option values="Anguilla">Anguilla</option>
    <option values="Antarctica">Antarctica</option>
    <option values="Antigua and Barbuda">Antigua and Barbuda</option>
    <option values="Argentina">Argentina</option>
    <option values="Armenia">Armenia</option>
    <option values="Aruban">Aruban</option>
    <option values="Australia">Australia</option>
    <option values="Austria">Austria</option>
    <option values="Azerbaijan">Azerbaijan</option>
    <option values="Bahamas">Bahamas</option>
    <option values="Bahrain">Bahrain</option>
    <option values="Bangladesh">Bangladesh</option>
    <option values="Barbados">Barbados</option>
    <option values="Belarus">Belarus</option>
    <option values="Belgium">Belgium</option>
    <option values="Belize">Belize</option>
    <option values="Benin">Benin</option>
    <option values="Bermuda">Bermuda</option>
    <option values="Bhutan">Bhutan</option>
    <option values="Bolivia">Bolivia</option>
    <option values="Bosnia and Herzegovina">Bosnia and Herzegovina</option>
    <option values="Botswana">Botswana</option>
    <option values="Bouvet">Bouvet Island</option>
    <option values="Brazil">Brazil</option>
    <option values="British Indian Ocean Territory">British Indian Ocean Territory</option>
    <option values="British Virgin Islands">British Virgin Islands</option>
    <option values="Brunei">Brunei</option>
    <option values="Bulgaria">Bulgaria</option>
    <option values="Burkina Faso">Burkina Faso</option>
    <option values="Burundi">Burundi</option>
    <option values="Cambodia">Cambodia</option>
    <option values="Cameroon">Cameroon</option>
    <option values="Canada">Canada</option>
    <option values="Cape Verde">Cape Verde</option>
    <option values="Cayman Islands">Cayman Islands</option>
    <option values="Central African Republic">Central African Republic</option>
    <option values="Chad">Chad</option>
    <option values="Chile">Chile</option>
    <option values="China">China</option>
    <option values="Christmas Island">Christmas Island</option>
    <option values="Cocos Islands">Cocos Islands</option>
    <option values="Colombia">Colombia</option>
    <option values="Comoros">Comoros</option>
    <option values="Congo">Congo</option>
    <option values="Cook Islands">Cook Islands</option>
    <option values="CostaRica">CostaRica</option>
    <option values="Croatia">Croatia</option>
    <option values="Cuba">Cuba</option>
    <option values="Cyprus">Cyprus</option>
    <option values="Czech Republic">Czech Republic</option>
    <option values="Cote dIvoire">Cote dIvoire</option>
    <option values="Denmark">Denmark</option>
    <option values="Djibouti">Djibouti</option>
    <option values="Dominica">Dominica</option>
    <option values="Dominican Republic">Dominican Republic</option>
    <option values="Ecuador">Ecuador</option>
    <option values="Egypt">Egypt</option>
    <option values="El Salvador">El Salvador</option>
    <option values="Equatorial Guinea">Equatorial Guinea</option>
    <option values="Eritrea">Eritrea</option>
    <option values="Estonia">Estonia</option>
    <option values="Ethiopia">Ethiopia</option>
    <option values="Falkland Islands">Falkland Islands</option>
    <option values="Faroe Islands">Faroe Islands</option>
    <option values="Fiji">Fiji</option>
    <option values="Finland">Finland</option>
    <option values="France">France</option>
    <option values="French Guiana">French Guiana</option>
    <option values="French Polynesia">French Polynesia</option>
    <option values="French Southern Territories">French Southern Territories</option>
    <option values="Gabon">Gabon</option>
    <option values="Gambia">Gambia</option>
    <option values="Georgia">Georgia</option>
    <option values="Germany">Germany</option>
    <option values="Ghana">Ghana</option>
    <option values="Gibraltar">Gibraltar</option>
    <option values="Greece">Greece</option>
    <option values="Greenland">Greenland</option>
    <option values="Grenada">Grenada</option>
    <option values="Guadeloupe">Guadeloupe</option>
    <option values="Guam">Guam</option>
    <option values="Guatemala">Guatemala</option>
    <option values="Guernsey">Guernsey</option>
    <option values="Guinea">Guinea</option>
    <option values="GuineaBissau">GuineaBissau</option>
    <option values="Guyana">Guyana</option>
    <option values="Haiti">Haiti</option>
    <option values="Heard Island And McDonald Islands">Heard Island And McDonald Islands</option>
    <option values="Honduras">Honduras</option>
    <option values="Hong Kong">Hong Kong</option>
    <option values="Hungary">Hungary</option>
    <option values="Iceland">Iceland</option>
    <option values="India">India</option>
    <option values="Indonesia">Indonesia</option>
    <option values="Iran">Iran</option>
    <option values="Iraq">Iraq</option>
    <option values="Ireland">Ireland</option>
    <option values="Israel">Israel</option>
    <option values="Italy">Italy</option>
    <option values="Jamaica">Jamaica</option>
    <option values="Japan">Japan</option>
    <option values="Jersey">Jersey</option>
    <option values="Jordan">Jordan</option>
    <option values="Kazakhstan">Kazakhstan</option>
    <option values="Kenya">Kenya</option>
    <option values="Kiribati">Kiribati</option>
    <option values="Kosovo">Kosovo</option>
    <option values="Kuwait">Kuwait</option>
    <option values="Kyrgyzstan">Kyrgyzstan</option>
    <option values="Laos">Laos</option>
    <option values="Latvia">Latvia</option>
    <option values="Lebanon">Lebanon</option>
    <option values="Lesotho">Lesotho</option>
    <option values="Liberia">Liberia</option>
    <option values="Libya">Libya</option>
    <option values="Liechtenstein">Liechtenstein</option>
    <option values="Lithuania">Lithuania</option>
    <option values="Luxembourg">Luxembourg</option>
    <option values="Macao">Macao</option>
    <option values="Macedonia">Macedonia</option>
    <option values="Madagascar">Madagascar</option>
    <option values="Malawi">Malawi</option>
    <option values="Malaysia">Malaysia</option>
    <option values="">Maldives</option>
    <option values="Maldives">Mali</option>
    <option values="Malta">Malta</option>
    <option values="Marshall Islands">Marshall Islands</option>
    <option values="Martinique">Martinique</option>
    <option values="Mauritania">Mauritania</option>
    <option values="Mauritius">Mauritius</option>
    <option values="Mayotte">Mayotte</option>
    <option values="Mexico">Mexico</option>
    <option values="Micronesia">Micronesia</option>
    <option values="Moldova">Moldova</option>
    <option values="Monaco">Monaco</option>
    <option values="Mongolia">Mongolia</option>
    <option values="Montenegro">Montenegro</option>
    <option values="Montserrat">Montserrat</option>
    <option values="Morocco">Morocco</option>
    <option values="Mozambique">Mozambique</option>
    <option values="Myanmar">Myanmar</option>
    <option values="Namibia">Namibia</option>
    <option values="Nauru">Nauru</option>
    <option values="Nepal">Nepal</option>
    <option values="Netherlands">Netherlands</option>
    <option values="Netherlands Antilles">Netherlands Antilles</option>
    <option values="New Caledonia">New Caledonia</option>
    <option values="New Zealand">New Zealand</option>
    <option values="Nicaragua">Nicaragua</option>
    <option values="Niger">Niger</option>
    <option values="Nigeria">Nigeria</option>
    <option values="Niue">Niue</option>
    <option values="Norfolk Island">Norfolk Island</option>
    <option values="North Korea">North Korea</option>
    <option values="Northern Ireland">Northern Ireland </option>
    <option values="Northern Mariana Islands">Northern Mariana Islands</option>
    <option values="Norway">Norway</option>
    <option values="Oman">Oman</option>
    <option values="Pakistan">Pakistan</option>
    <option values="Palau">Palau</option>
    <option values="Palestine">Palestine</option>
    <option values="Panama">Panama</option>
    <option values="Papua New Guinea">Papua New Guinea</option>
    <option values="Paraguay">Paraguay</option>
    <option values="Peru">Peru</option>
    <option values="Philippines">Philippines</option>
    <option values="Pitcairn">Pitcairn</option>
    <option values="Poland">Poland</option>
    <option values="Portugal">Portugal</option>
    <option values="Puerto Rico">Puerto Rico</option>
    <option values="Qatar">Qatar</option>
    <option values="Reunion">Reunion</option>
    <option values="Romania">Romania</option>
    <option values="Russia">Russia</option>
    <option values="Rwanda">Rwanda</option>
    <option values="Saint Helena">Saint Helena</option>
    <option values="Saint Kitts And Nevis">Saint Kitts And Nevis</option>
    <option values="Saint Lucia">Saint Lucia</option>
    <option values="Saint Pierre And Miquelon">Saint Pierre And Miquelon</option>
    <option values="Saint Vincent And The Grenadines">Saint Vincent And The Grenadines</option>
    <option values="Samoa">Samoa</option>
    <option values="San Marino">San Marino</option>
    <option values="Sao Tome And Principe">Sao Tome And Principe</option>
    <option values="Saudi Arabia">Saudi Arabia</option>
    <option values="Senegal">Senegal</option>
    <option values="Serbia">Serbia</option>
    <option values="Serbia and Montenegro">Serbia and Montenegro</option>
    <option values="Seychelles">Seychelles</option>
    <option values="Sierra Leone">Sierra Leone</option>
    <option values="Singapore">Singapore</option>
    <option values="">Slovakia</option>
    <option values="Slovakia">Slovenia</option>
    <option values="Solomon Islands">Solomon Islands</option>
    <option values="Somalia">Somalia</option>
    <option values="South Africa">South Africa</option>
    <option values="South Georgia And The South Sandwich Islands">South Georgia And The South Sandwich Islands</option>
    <option values="South Korea">South Korea</option>
    <option values="Spain">Spain</option>
    <option values="Sri Lanka">Sri Lanka</option>
    <option values="Sudan">Sudan</option>
    <option values="Suriname">Suriname</option>
    <option values="Svalbard And Jan Mayen">Svalbard And Jan Mayen</option>
    <option values="Swaziland">Swaziland</option>
    <option values="Sweden">Sweden</option>
    <option values="Switzerland">Switzerland</option>
    <option values="Syria">Syria</option>
    <option values="Taiwan">Taiwan</option>
    <option values="Tajikistan">Tajikistan</option>
    <option values="Tanzania">Tanzania</option>
    <option values="Thailand">Thailand</option>
    <option values="The Democratic Republic Of Congo">The Democratic Republic Of Congo</option>
    <option values="Timor-Leste">Timor-Leste</option>
    <option values="Togo">Togo</option>
    <option values="Tokelau">Tokelau</option>
    <option values="Tonga">Tonga</option>
    <option values="Trinidad and Tobago">Trinidad and Tobago</option>
    <option values="Tunisia">Tunisia</option>
    <option values="Turkey">Turkey</option>
    <option values="Turkmenistan">Turkmenistan</option>
    <option values="Turks And Caicos Islands">Turks And Caicos Islands</option>
    <option values="Tuvalu">Tuvalu</option>
    <option values="Virgin Islands">Virgin Islands</option>
    <option values="Ukraine">Uganda</option>
    <option values="">Ukraine</option>
    <option values="United Arab Emirates">United Arab Emirates</option>
    <option values="United Kingdom">United Kingdom</option>
    <option values="United States">United States</option>
    <option values="United States Minor Outlying Islands">United States Minor Outlying Islands</option>
    <option values="Uruguay">Uruguay</option>
    <option values="Uzbekistan">Uzbekistan</option>
    <option values="Vanuatu">Vanuatu</option>
    <option values="Vatican">Vatican</option>
    <option values="Venezuela">Venezuela</option>
    <option values="Vietnam">Vietnam</option>
    <option values="Wallis And Futuna">Wallis And Futuna</option>
    <option values="Western Sahara">Western Sahara</option>
    <option values="Yemen">Yemen</option>
    <option values="Zambia">Zambia</option>
    <option values="Zimbabwe">Zimbabwe</option>
    <option values="Aland Islands">Aland Islands</option>
  </select>
</div>
</div>
</div>
<div class="row">
 <div class="col-md-6">
  <div class="form-group" id="eleven_div">
   <label for="list_additional_countries">List of additional countries you transited through</label>
   <textarea style="resize: none;" name="list_additional_countries" placeholder="List of Additional Countries you transited through" rows="4" cols="50"></textarea>
 </div>
</div>
</div>
</div>
</div>
<div class="row" style="text-align: center;">
  <div class="col-xs-12"> 

    <br>

  <button type="submit" name="submit" id="btn_submit">Submit</button>
   
 </div>
</div>
</div>
</div>
</div>
</div>
</form>
</body>
</html>
<?php
$env = getenv('APP_ENV');
if ($env == 'production') {
  echo '<script type="text/javascript" id="zsiqchat">var $zoho=$zoho || {};$zoho.salesiq = $zoho.salesiq || {widgetcode: "464e52da8af01376dbece7a8a0b6159d15694264e2dba53834aa75d255fad39150d9bc66a4f587ad58c768a35d8df101", values:{},ready:function(){}};var d=document;s=d.createElement("script");s.type="text/javascript";s.id="zsiqscript";s.defer=true;s.src="https://salesiq.zoho.eu/widget";t=d.getElementsByTagName("script")[0];t.parentNode.insertBefore(s,t);</script>';
}
?>
<script type="text/javascript">
 $(document).ready(function(){
  $('.keyup-email').keyup(function() {
    $('span.error-keyup-7').remove();
    var inputVal = $(this).val();
    var emailReg = /^([\w-\.]+@([\w-]+\.)+[\w-]{2,4})?$/;
    if(!emailReg.test(inputVal)) {
      $(this).after('<span style="color:red" class="error error-keyup-7">Invalid Email Format.</span>');
    }
  });
  $('.keyup-phone').keyup(function() {
    $('span.error-keyup-7').remove();
    var inputVal = $(this).val();
    var emailReg = /^[0-9 ]+$/;
    if(!emailReg.test(inputVal)) {
      $(this).after('<span style="color:red" class="error error-keyup-7">Invalid telephone number. Only numbers are allowed.</span>');
    }
  });
  
  if ($('#select option:selected').val() == "")
  {
   $('#first_div').hide().find(':input').attr('required', false);
   $('#second_div').hide().find(':input').attr('required', false);
   $('#third_div').hide().find(':input').attr('required', false);
   $('#forth_div').hide().find(':input').attr('required', false);
   $('#fifth_div').hide().find(':input').attr('required', false);
   $('#sixth_div').hide().find(':input').attr('required', false);
   $('#seventh_div').hide().find(':input').attr('required', false);
   $('#eight_div').hide().find(':input').attr('required', false);
   $('#ninth_div').hide().find(':input').attr('required', false);
   $('#tenth_div').hide().find(':input').attr('required', false);
   $('#eleven_div').hide().find(':input').attr('required', false);

 }


 $('#select').change(function () {
   if ($('#select option:selected').text() == "Fit to Fly" || $('#select option:selected').val() == ""){
    $('#first_div').hide().find(':input').attr('required', false);
    $('#second_div').hide().find(':input').attr('required', false);
    $('#third_div').hide().find(':input').attr('required', false);
    $('#forth_div').hide().find(':input').attr('required', false);
    $('#fifth_div').hide().find(':input').attr('required', false);
    $('#sixth_div').hide().find(':input').attr('required', false);
    $('#seventh_div').hide().find(':input').attr('required', false);
    $('#eight_div').hide().find(':input').attr('required', false);
    $('#ninth_div').hide().find(':input').attr('required', false);
    $('#tenth_div').hide().find(':input').attr('required', false);
    $('#eleven_div').hide().find(':input').attr('required', false);

  }
  else if($('#select option:selected').text() == "Test to Release" || $('#select option:selected').text() == "Day 2"|| $('#select option:selected').text() == "Day 8" || $('#select option:selected').text() == "Day 2&8"){
    $('#first_div').show().find(':input').attr('required', true);
    $('#second_div').show().find(':input').attr('required', true);
    $('#third_div').show().find(':input').attr('required', true);
    $('#forth_div').show().find(':input').attr('required', true);
    $('#fifth_div').show().find(':input').attr('required', true);
    $('#sixth_div').show().find(':input').attr('required', true);
    $('#seventh_div').show().find(':input').attr('required', true);
    $('#eight_div').show().find(':input').attr('required', true);
    $('#ninth_div').show().find(':input').attr('required', true);
    $('#tenth_div').show().find(':input').attr('required', true);
    $('#eleven_div').show().find(':input').attr('required', true);

  }
});
});
 function myfunction()
 {
  $('span.error-keyup-7').remove();
  if($("#Agl_no").val()=='' && $("#validation_code").val()=='' || $("#Agl_no").val()==''|| $("#validation_code").val()=='')
  {
   // alert("Please enter valid AGL-NO and Validation Code");
   error = "Please enter valid AGL-NO and Validation Code.";
   document.getElementById("errorid").innerHTML = error;
   $("#alert").show();
   return false;
 }

 var aglno =  $("#Agl_no").val();
 var vcode  = $("#validation_code").val();
 var url = window.location.href;
 $.post(url+'validate_sample.php', {aglno:aglno,vcode:vcode}, function(response){
  
  var responseData =JSON.parse(response);
var id_patient = responseData.id;
var id_account = responseData.accountsId;
var Unsupervised_Self_Test = responseData.Unsupervised_Self_Test;

  
 // alert(response);

 $('<input>').attr({
    type: 'hidden',
    id: 'aglnolog',
    name: 'aglnolog',
    value: aglno
  }).appendTo('#form_total');

$('#error').html('');
if(jQuery.isEmptyObject(responseData)){


  error = "We are sorry but something went wrong. Please review your 625-AGL number and validation code. For further support please get in touch with us at help@agilishealth.co.uk.";
  $('#error').html(error);
  document.getElementById("errorid").innerHTML = error;
  $("#alert").show();
  $("#form_total").hide();
  return false;

}else{

  if(Unsupervised_Self_Test==1){
    $('#UnsuperviseCheck').trigger( "click" );  
  }

  

   $('<input>').attr({
    type: 'hidden',
    id: 'accoutId',
    name: 'accoutId',
    value: id_account
  }).appendTo('#form_total');

  $("#id_patient").val(id_patient);
  $("#next_button").hide();
  $("#alert").hide();
  $("#form_total").show();


}

});
}

$(function() {
  var bindDatePicker = function() {
   $(".date").datetimepicker({
    format: 'DD/MM/YYYY hh:mm A',
    icons: {
     time: "fa fa-clock-o",
     date: "fa fa-calendar",
     up: "fa fa-arrow-up",
     down: "fa fa-arrow-down"
   }
 }).find('input:first').on("blur", function() {
       // check if the date is correct. We can accept dd-mm-yyyy and yyyy-mm-dd.
       // update the format if it's yyyy-mm-dd
       var date = parseDate($(this).val());

       if (!isValidDate(date)) {
         //create date based on momentjs (we have that)
         date = moment().format('DD/MM/YYYY hh:mm A');
       }

       $(this).val(date);
     });
}

var isValidDate = function(value, format) {
 format = format || false;
     // lets parse the date to the best of our knowledge
     if (format) {
      value = parseDate(value);
    }

    var timestamp = Date.parse(value);

    return isNaN(timestamp) == false;
  }

  var parseDate = function(value) {
   var m = value.match(/^(\d{1,2})(\/|-)?(\d{1,2})(\/|-)?(\d{4})$/);
   if (m)
    value = m[5] + '-' + ("00" + m[3]).slice(-2) + '-' + ("00" + m[1]).slice(-2);

  return value;
}

bindDatePicker();
});
$(function() {
  var bindDatePicker1 = function() {
   $(".dob").datetimepicker({
    format: 'DD/MM/YYYY',
    icons: {
     time: "",
     date: "fa fa-calendar",
     up: "fa fa-arrow-up",
     down: "fa fa-arrow-down"
   }
 }).find('input:first').on("", function() {
       // check if the date is correct. We can accept dd-mm-yyyy and yyyy-mm-dd.
       // update the format if it's yyyy-mm-dd
       var date = parseDate($(this).val());

       if (!isValidDate(date)) {
         //create date based on momentjs (we have that)
         date = moment().format('DD/MM/YYYY');
       }

       $(this).val(date);
     });
}

var isValidDate = function(value, format) {
 format = format || false;
     // lets parse the date to the best of our knowledge
     if (format) {
      value = parseDate(value);
    }

    var timestamp = Date.parse(value);

    return isNaN(timestamp) == false;
  }

  var parseDate = function(value) {
   var m = value.match(/^(\d{1,2})(\/|-)?(\d{1,2})(\/|-)?(\d{4})$/);
   if (m)
    value = m[5] + '-' + ("00" + m[3]).slice(-2) + '-' + ("00" + m[1]).slice(-2);

  return value;
}

bindDatePicker1();
});


$('#before_image').bind('change', function() {
        var a=(this.files[0].size);
        if(a > 20000000) {
        //if(a > 5000000)
          
            $('.before-image-error').show();
            $("#btn_submit").attr("disabled", true);
        
        }else{
          $('.before-image-error').hide();
          $("#btn_submit").attr("disabled", false);
          
        };
    });


$('#after_image').bind('change', function() {
        var a=(this.files[0].size);

        if(a > 20000000) {
        //if(a > 5000000)
        
          $('.after-image-error').show();
          $("#btn_submit").attr("disabled", true);
            
        }else{
          $('.after-image-error').hide();
          $("#btn_submit").attr("disabled", false);
          
        }
    });

  var formurl = window.location.href+'sample_submission.php';
  $('#myForm').attr('action',formurl);

$(document).ready(function() 
{
    //$('#loader').hide();

    $('form#myForm').submit(function() 
    {
      var htmlInput = '<span class="loader">Progressing.. <img src="images/loader.gif" ></span>';
        $('#btn_submit').html(htmlInput);
    }) 
})

/*$('#btn_submit').click(function() {
  alert('hello');

      var fd = new FormData();
      var before_image = $('#before_image')[0].files;
      var after_image = $('#after_image')[0].files;

 var form = $(this);
  var formurl = window.location.href+'sample_submission.php';

$.ajax({
            type: "POST",
            url: formurl,
            data: form.serialize(),
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            processData: true,
            beforeSend: function() {
              
            },
            success: function (response) {
                //fill page data from DB
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });


});*/
        




</script>

