<?php
/*ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);*/

include('ZohoCrmClient_new.php');
date_default_timezone_set('Europe/London'); // temp for logs -----------------------------------------
$sample_obj = new ZohoCrmClient();

if(isset($_POST['submit'])) {

	$module ='Swabs';

$value = $_POST['aglno'];
$sampleobj = $sample_obj->searchZohoRecord($module,$value);


$record_id = $sampleobj->data[0]->id;

   $errors=[];
	if(isset($_FILES['before_image'])){
		
		$getImageResponse=imgresize($_FILES['before_image'],1);


		$beforeFilestoupload='';

		if($getImageResponse['status']=='success'){
			   $before_file_size = $_FILES['before_image']['size'];
			   if($before_file_size >= 5000000){
					$beforeFilestoupload = __DIR__.'/uploads/'.$getImageResponse['file_name'];

			   }else{
			   	$beforeFilestoupload=downloadResizeImage($getImageResponse['dest'],$getImageResponse['file_name']);   	
			   	
			   }

			
		}else{
			$errors['before']='Max File size must be excately 20 MB';
		}



		if(!empty($beforeFilestoupload)){

			$insert_attachment = $sample_obj->Attachments_upload($module,$record_id,$beforeFilestoupload);	
			$fileDel = __DIR__.'/uploads/'.$getImageResponse['file_name'];
			unlink($beforeFilestoupload);
			unlink($fileDel); 
		}
		
	}


	if(isset($_FILES['after_image'])){
		$getImageResponse=imgresize($_FILES['after_image'],2);
		$afterFilestoupload='';

		if($getImageResponse['status']=='success'){
			   $after_file_size = $_FILES['after_image']['size'];
			   if($after_file_size >= 5000000){
						$afterFilestoupload = __DIR__.'/uploads/'.$getImageResponse['file_name']; 	
			   }else{
			   	$afterFilestoupload=downloadResizeImage($getImageResponse['dest'],$getImageResponse['file_name']);  
			   	
			   	
			   }



			
		}else{
			$errors['after']='Max File size must be excately 20 MB';
		}


		if(!empty($afterFilestoupload)){

			$insert_attachment = $sample_obj->Attachments_upload($module,$record_id,$afterFilestoupload);	
			$fileDel = __DIR__.'/uploads/'.$getImageResponse['file_name'];
			unlink($afterFilestoupload);
			unlink($fileDel); 
		}

	}



$postData=[];
	$postData['First_Name']=$_POST['First_name'];
	$postData['Last_Name']=$_POST['Last_name'];
	if(!empty($_POST['dob']))
	{
		$postData['Date_of_Birth']= date('Y-m-d',strtotime(str_replace('/', '-', $_POST['dob'])));

	}
	else
	{
		$postData['Date_of_Birth']=$_POST['dob'];
	}
	$postData['ID_Number']=$_POST['Passport'];
	if(!empty($_POST['NHS_No']))
	{
	$postData['NHS_Number']=$_POST['NHS_No'];
	}
	else
	{
	$postData['NHS_Number']='NA';
	}
	$postData['Phone']=$_POST['Phone'];
	$postData['Gender']=$_POST['Gender'];
	$postData['Ethnicity']=$_POST['Ethnicity'];	
	$postData['Vaccination_Status']=$_POST['vaccination_status'];
	$postData['Email']=$_POST['email'];
	$postData['Account_Name']=$_POST['accoutId'];		
	$zohoPost=[];
	$zohoPost['data']=array($postData);
	// echo "<pre>";
	// print_r($postData);

	$response=$sample_obj->createZohoCrmRecord("Contacts",$zohoPost);	


	$response_id = json_decode($response);

	$id_contact=$response_id->data[0]->details->id;
	$id = $_REQUEST['id'];

	//for update the sample data ///	
	$postData_update=[];
	$postData_update['Government_Scheme_Covid']=$_POST['test_type'];
	if(!empty($_POST['sample_collection_time']))
	{
		$sample_collection_time = explode(' ' , $_POST['sample_collection_time']);
		$sample_collection_time_2 = $sample_collection_time[1];
		$sample_collection_time_1 = date('Y-m-d',strtotime(str_replace('/', '-', $sample_collection_time[0])));	
		$sample_collection_time_3 = $sample_collection_time_1.'T'.$sample_collection_time_2.':00';
		$postData_update['Returns_Time']= $sample_collection_time_3;
	}
	else
	{
		$postData_update['Returns_Time']=$_POST['sample_collection_time'];
	}
	if(!empty($_POST['date_arriving_uk']))
	{
		$date_time = explode(' ' , $_POST['date_arriving_uk']);	
		$date_time_1 = date('Y-m-d',strtotime(str_replace('/', '-', $date_time[0])));
		$date_time_2 = $date_time[1];
		$date_time_3 = $date_time_1.'T'.$date_time_2.':00';
		$postData_update['Date_and_Time_of_Arriving_to_UK'] = $date_time_3;
	}
	else
	{
	$postData_update['Date_and_Time_of_Arriving_to_UK']=$_POST['date_arriving_uk'];
	}
	$postData_update['Address_Line_1']=$_POST['address_1'];
	$postData_update['Address_Line_2']=$_POST['address_2'];
	$postData_update['Address_Line_3']=$_POST['address_3'];
	$postData_update['Post_Code']=$_POST['address_4'];
	$postData_update['Returns_Tracking_Number']= $_POST['Tracking_Number'];
	$postData_update['Origination_Country']=$_POST['travelling_from'];	
	$postData_update['Flight_Vessel_Coach_Train_Number']=$_POST['Flight_Vessel_Coach_Train_Number'];	
	$postData_update['List_of_additional_countries_you_transited_through']=$_POST['list_additional_countries'];	
	$postData_update['Patient']=$id_contact;
	$postData_update['Assigned']=true;
	$postData_update['Submit_to_2030']=true;
	$zohoPost_update=[];
	$zohoPost_update['data']=array($postData_update);
	// echo'<pre>';print_r($zohoPost_update); die;
	$response_update = $sample_obj->updateZohoCrmRecord("Swabs",$id,$zohoPost_update);	

	// temporarily logging requests to local file
	$date = date('Y-m-d');
	$date_with_time = date('Y-m-d H:i:s a', time());
	$success_log = "{$date}_results.log";
	$failure_log = "{$date}_failures.log";

	try {
	    file_put_contents("crm_temp_logs/{$success_log}", $date_with_time . PHP_EOL . $_POST['aglnolog'] . PHP_EOL . print_r($postData, true) . PHP_EOL . print_r($postData_update, true) . "---------------------------------------------------------------------------" . "\r\n", FILE_APPEND | LOCK_EX);
	} catch(Exception $e) {
	    $err = "{$date} - Exception: " . $e->getMessage() . PHP_EOL . print_r($postData, true) . PHP_EOL . print_r($postData_update, true) . "\r\n";
	    error_log(print_r($err, TRUE), 3, "./crm_temp_logs/{$failure_log}");
	}
	// temporarily logging requests to local file

	if(!empty($response_update) && !empty($response))
	{
	header("Location: success.php");		
	}
	





}


 function imgresize($file,$prefix){

      $errors= array();
      $file_name = $file['name'];
      $file_size = $file['size'];
      $file_tmp = $file['tmp_name'];
      $file_type = $file['type'];


      $file_ext=strtolower(end(explode('.', $file['name'])));
      
      $expensions= array("jpeg","jpg","png");

      $response_array = array();
      
      if(in_array($file_ext,$expensions)=== false){
         $errors[]="extension not allowed, please choose a JPEG or PNG file.";
      }
      


      // 20000000


      if($file_size >= 20000000) {

      	
         $errors[]='Max File size must be excately 20 MB';
      }
      


      if(empty($errors)) {
      	   if(!is_dir("uploads"))
				{
				  	mkdir('uploads',0777);
				}

      	$datetime = $time = date("d-m-Y")."-".time();

			$newfile_name = $prefix."".$value."-".$datetime.".jpg";
		
		   move_uploaded_file($file_tmp,"uploads/". $newfile_name);
         $response_array['status']='success';
         $response_array['file_name']=$newfile_name;
         $response_array['msg']=[];
         
      }else{
      	$response_array['status']='fail';
      	$response_array['file_name']='';
      	$response_array['msg']=$errors;

      }

   	


      if($response_array['status']=='success')
      {

      	   if(!is_dir("uploads"))
				{
				  	mkdir('uploads',0777);
				}

				if(!is_dir("resizeImage"))
				{
				  	mkdir('resizeImage',0777);
				}

					$file = __DIR__.'/uploads/'.$newfile_name;



					if($file_size >= 5000000){
						return $response_array;

					}else{

						$mime = mime_content_type($file);
					    $info = pathinfo($file);
					    $name = $info['basename'];
					    $output = new CURLFile($file, $mime, $name);
					    $data = array(
					        "files" => $output,
					    );


					    $ch = curl_init();
					    curl_setopt($ch, CURLOPT_URL, 'http://api.resmush.it/?qlty=50');
					    curl_setopt($ch, CURLOPT_POST,1);
					    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
					    curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 5);
					    curl_setopt($ch, CURLOPT_POSTFIELDS, $data);


					    $curlResult = curl_exec($ch);
					    if (curl_errno($ch)) {
					       $curlError = curl_error($ch);


					    }


					    curl_close ($ch);

					    $outputCurl=json_decode($curlResult,true);

					    $response_array=array_merge($outputCurl,$response_array);

						 return $response_array;

					}

					

				   

      }else{


      	return $response_array;
      }




  }

function downloadResizeImage($imageUrl,$name){

			$resizeImageName = __DIR__.'/resizeImage/'.$name;

	$content=file_get_contents($imageUrl);
	$success=file_put_contents($resizeImageName, $content);

	return $resizeImageName;

}

?>
