<!DOCTYPE html>
<html lang="en">
<head>
    <title>Thanks</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="styles.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/3.1.3/css/bootstrap-datetimepicker.min.css">
    <link rel="stylesheet" href="//maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.2/js/bootstrap.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.9.0/moment-with-locales.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/3.1.3/js/bootstrap-datetimepicker.min.js"></script>
</head>
<body>
    <header class="header">
        <div class="container">
            <div class="row">
                <div class="col-xs-12">
                    <a href="https://agilishealth.co.uk/">
                        <img src="images/logo.svg" alt="Agilis" />
                    </a>
                </div>
            </div>
        </div>
    </header>
    <div class="container">
        <div class="row">
            <div class="col-xs-12 col-sm-10 col-md-9 col--center">
                <div class="form-panel">
                    <div class="row">
                        <div class="col-xs-12">
                            <h1>Registration Complete</h1>
                            <p>Thank you for submitting your sample. You should receive a confirmation email shortly. If you have registered a day 2 test, you will also get your Patient Locator data within the next 30 minutes.</p>
                            <p>If you have any issues, please get in touch with us at <a href="mailto:help@agilishealth.co.uk">help@agilishealth.co.uk</a></p>
                            <p><a style="font-family: 'Montserrat SemiBold';font-weight: 600;font-weight: 600;-webkit-appearance: none;border: none;text-transform: uppercase;color: #fff;height: 40px;padding: 0 25px;border-radius: 4px;background-color: #233539;font-size: 10px;letter-spacing: 1.25px;text-align: center;text-transform: uppercase;display: inline-flex;justify-content: center;align-items: center;transition: 0.3s ease all;" href="https://register.agilishealth.co.uk/" class="bttn">Register another sample</a></p>
                        </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
